import { Module } from '@nestjs/common';
import { TrpcService } from '@server/trpc/trpc.service';
import { QueueModule } from '@server/queue/queue.module';
import { MessageModule } from '../message/message.module';
import { CarRouter } from './car.router';
import { CarController } from './car.controller';
import { CarService } from './car.service';
import { RoleMapModule } from '../rbac/rbac.module';
import { DepartmentModule } from '../department/department.module';
import { DepartmentService } from '../department/department.service';

@Module({
  imports: [QueueModule, RoleMapModule, MessageModule, DepartmentModule],
  providers: [CarService, CarRouter, TrpcService, DepartmentService],
  exports: [CarRouter, CarService],
  controllers: [CarController],
})
export class CarModule {}
