import { Module } from '@nestjs/common';
import { TrpcService } from '@server/trpc/trpc.service';
import { QueueModule } from '@server/queue/queue.module';
import { MessageModule } from '../message/message.module';
import { CourseRouter } from './course.router';
import { CourseController } from './course.controller';
import { CourseService } from './course.service';
import { RoleMapModule } from '../rbac/rbac.module';
import { StudentModule } from '../student/student.module';
import { DepartmentModule } from '../department/department.module';
import { DepartmentService } from '../department/department.service';

@Module({
  imports: [QueueModule, RoleMapModule, MessageModule,StudentModule,DepartmentModule],
  providers: [CourseService, CourseRouter, TrpcService,DepartmentService],
  exports: [CourseRouter, CourseService],
  controllers: [CourseController],
})
export class CourseModule {}
