import { Module } from '@nestjs/common';
import { TrpcService } from '@server/trpc/trpc.service';
import { QueueModule } from '@server/queue/queue.module';
import { MessageModule } from '../message/message.module';
import {  DriverRouter } from './driver.router';
import { DriverController } from './driver.controller';
import { DriverService } from './driver.service';
import { RoleMapModule } from '../rbac/rbac.module';
import { DepartmentModule } from '../department/department.module';
import { DepartmentService } from '../department/department.service';

@Module({
  imports: [QueueModule, RoleMapModule, MessageModule,,DepartmentModule,DriverModule],
  providers: [DriverService, DriverRouter, TrpcService,DepartmentService],
  exports: [DriverRouter, DriverService],
  controllers: [DriverController],
})
export class DriverModule {}
