import { Module } from '@nestjs/common';
import { TrpcService } from '@server/trpc/trpc.service';
import { DepartmentService } from '@server/models/department/department.service';

import { QueueModule } from '@server/queue/queue.module';
import { MessageModule } from '../message/message.module';
import { ScoreRouter } from './score.router';
import { ScoreController } from './score.controller';
import { ScoreService } from './score.service';
import { RoleMapModule } from '../rbac/rbac.module';

@Module({
  imports: [QueueModule, RoleMapModule, MessageModule],
  providers: [ScoreService, ScoreRouter, TrpcService, DepartmentService],
  exports: [ScoreRouter, ScoreService],
  controllers: [ScoreController],
})
export class ScoreModule {}
