import { Module } from '@nestjs/common';
import { TrpcService } from '@server/trpc/trpc.service';
import { DepartmentService } from '@server/models/department/department.service';

import { QueueModule } from '@server/queue/queue.module';
import { MessageModule } from '../message/message.module';
import { StudentRouter } from './student.router';
import { StudentController } from './student.controller';
import { StudentService } from './student.service';
import { RoleMapModule } from '../rbac/rbac.module';

@Module({
  imports: [QueueModule, RoleMapModule, MessageModule],
  providers: [StudentService, StudentRouter, TrpcService, DepartmentService],
  exports: [StudentRouter, StudentService],
  controllers: [StudentController],
})
export class StudentModule {}
