'use client';
import React, { useState, useEffect } from 'react';
import Header from '../component/Header';
import StudentSearch from '../component/StudentSearch';
import ScoreForm from '../component/ScoreForm';
import ScoreTable from '../component/ScoreTable';
import { api } from '@nice/client';
import bgImage from '../../../assets/student.png';
import { number } from 'zod';
import Pagination from '../component/Pagination';
export interface CarData {
  id:number      
  clubId:number   
  name:string      
  club:string     
  score:number
}
const CarPage = () => {
  const [data, setdata] = useState([])
  const [FilterCar, setFilterCar] = useState([]);
  const [driver, setDriver] = useState([]);
  const [searchParams, setSearchParams] = useState({ term: '', type: 'name' });
  const [currentPage, setCurrentPage] = useState(1);
  const itemsPerPage = 5;
  const mock: CarData[] = [
      { id: 1, clubId: 1, name: "user1", club:"chinese",score: 20},
      { id: 2, clubId: 2, name: "user2", club:"chinese",score: 20},
      { id: 3, clubId: 3, name: "user3", club:"chinese",score: 20},
      { id: 4, clubId: 4, name: "user4", club:"chinese",score: 20},
      { id: 5, clubId: 5, name: "user5", club:"chinese",score: 20},
      { id: 6, clubId: 6, name: "user6", club:"chinese",score: 20},
  ]
    // const {
    //     data: car = [],
    //     isLoading,
    //     error,
    //     refetch
    // } = api.car.findMany.useQuery({
    //     select: {
    //         id: true,
    //         name: true,
    //     }
    // });
    // console.log(car);//查询car数据
    //搜索
      const handleSearch = (term, type) => {
        if (!term.trim()) {
            setFilterCar(mock);
            return;
        }
        let filtered = [];
        const lowerTerm = term.toLowerCase();
        switch (type) {
            case 'name':
                filtered = mock.filter(mock => {
                    const car = driver.find(s => s.id === mock.clubId);
                    return car && car.name.toLowerCase().includes(lowerTerm);
                });
                break;
        }
    };
    
    return (
        <>
        <div className="w-full bg-cover bg-center h-64" style={{ backgroundImage: `url(${bgImage})` }}>
      <div className="flex items-center justify-center h-full w-full bg-opacity-50 bg-black">
        <div className="text-center">
          <h1 className="text-4xl font-bold text-white leading-tight mb-10">车辆管理</h1>
                {/* // 遍历 data 并渲染每个元素 */}
                        <table className='table-auto w-full'>
                            <thead>
                                <tr className='bg-white'>
                                    <th className='px-4 py-2'>id</th>
                                    <th className='px-4 py-2'>clubId</th>
                                    <th className='px-4 py-2'>name</th>
                                    <th className='px-4 py-2'>club</th>
                                    <th className='px-4 py-2'>score</th>
                                </tr>
                            </thead>
                            <tbody>
                                {mock?.map((i) => (
                                    <tr key={i.id} className='hover:bg-gray-100 bg-yellow-700'>
                                        <td className='border px-4 py-2'>{i.id}</td>
                                        <td className='border px-4 py-2'>{i.clubId}</td>
                                        <td className='border px-4 py-2'>{i.name}</td>
                                        <td className='border px-4 py-2'>{i.club}</td>
                                        <td className='border px-4 py-2'>{i.score}</td>
                                    </tr>
                                ))}
                            </tbody>
                        </table>
                        <StudentSearch onSearch={handleSearch} />
            </div>
        </div>
     
      </div>
        </>
    );
};

export default CarPage;
