import {
	createBrowserRouter,
	Link,
} from "react-router-dom";
import ErrorPage from "../app/error";
import LoginPage from "../app/login";
import { adminRoute } from "./admin-route";
import { CustomRouteObject } from "./types";
import { MainRoute } from "./main-route";
import HomePage from "../app/main/home/page";
import StudentPage from "../app/main/student/page";
import StudentTestPage from "../app/main/student/StudentTestPage";
import CarPage from "../app/main/car/page";
import MainLayout from "../app/main/layout/MainLayout";
import ClubPage from "../app/main/car/Club";
import DriverPage from "../app/main/car/Driver";
import GamePage from "../app/main/car/Game";
import SortiePage from "../app/main/car/Sortie";
export const routes: CustomRouteObject[] = [
	{
		path: "/",
		element: <MainLayout />,
		children: [
			{
				path: "/login",
				element: <LoginPage></LoginPage>,
			},
			{
				path: "/",
				element: <StudentPage></StudentPage>,
			},
			{
				path: "/student-test",
				element: <StudentTestPage></StudentTestPage>,
			},
			{
				path: "/student",
				element: <StudentPage></StudentPage>,
			},
			{
				path: "/car",
				element: <CarPage></CarPage>,
			},
			{
				path: "/club",
				element: <ClubPage></ClubPage>,
			},
			{
				path: "/driver",
				element: <DriverPage></DriverPage>,
			},
			{
				path: "/game",
				element: <GamePage></GamePage>,
			},
			{
				path: "/sortie",
				element: <SortiePage></SortiePage>,
			},

		],
	},


];

export const router = createBrowserRouter(routes);